# Method: projects.brands.identityAwareProxyClients.create

- [HTTP request](https://docs.cloud.google.com/iap/docs/reference/rest/v1/projects.brands.identityAwareProxyClients/create#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/iap/docs/reference/rest/v1/projects.brands.identityAwareProxyClients/create#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/iap/docs/reference/rest/v1/projects.brands.identityAwareProxyClients/create#body.request_body)
- [Response body](https://docs.cloud.google.com/iap/docs/reference/rest/v1/projects.brands.identityAwareProxyClients/create#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/iap/docs/reference/rest/v1/projects.brands.identityAwareProxyClients/create#body.aspect)
- [Try it!](https://docs.cloud.google.com/iap/docs/reference/rest/v1/projects.brands.identityAwareProxyClients/create#try-it)

Creates an Identity Aware Proxy (IAP) OAuth client. The client is owned by IAP. Requires that the brand for the project exists and that it is set for internal-only use.

### HTTP request

`POST https://iap.googleapis.com/v1/{parent=projects/*/brands/*}/identityAwareProxyClients`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. Path to create the client in. In the following format: projects/{projectNumber/id}/brands/{brand}. The project must belong to a G Suite account. Authorization requires one or more of the following [IAM](https://cloud.google.com/iam/docs/) permissions on the specified resource `parent`: - `clientauthconfig.brands.get` - `clientauthconfig.clients.create` - `clientauthconfig.clients.update` |

### Request body

The request body contains an instance of `https://docs.cloud.google.com/iap/docs/reference/rest/v1/projects.brands.identityAwareProxyClients#IdentityAwareProxyClient`.

### Response body

If successful, the response body contains a newly created instance of `https://docs.cloud.google.com/iap/docs/reference/rest/v1/projects.brands.identityAwareProxyClients#IdentityAwareProxyClient`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).